#!/bin/sh

SELF="$(realpath "$0")"
PO_DIR="$(dirname "$SELF")"
PROJECT_ROOT="$(dirname "$PO_DIR")"

cd "$PO_DIR"

for i in `cat LINGUAS`; do
	msgdir="$PROJECT_ROOT/translations/$i/LC_MESSAGES";
	if [ ! -d "$msgdir" ]; then
		mkdir -p "$msgdir"
	fi

	if [ -f $i.po ]; then
		msgfmt -o "$msgdir/mydevel-webroot.mo" $i.po
	fi
done

